#
# Conditional build:
%bcond_with	tests		# build without tests

%define		orgname		extra-cmake-modules
%define		kdeframever	5.39
Summary:	Extra Cmake Modules for KF5
Name:		kf5-%{orgname}
Version:	5.39.0
Release:	1
License:	BSD
Group:		Development/Building
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{orgname}-%{version}.tar.xz
# Source0-md5:	777b57222f5c23d1599b8e8774e96b73
URL:		http://www.kde.org/
BuildRequires:	cmake >= 2.8.12
BuildRequires:	qt5-assistant
BuildRequires:	qt5-linguist
BuildRequires:	rpmbuild(macros) >= 1.698
BuildRequires:	sphinx-pdg
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
The Extra CMake Modules package, or ECM, adds to the modules provided
by CMake, including both ones used by find_package() to find common
software and ones that can be used directly in CMakeLists.txt files to
perform common tasks.

In addition, it provides common build settings used in software
produced by the KDE community.

While the driving force of this module is to reduce duplication in
CMake scripts across KDE software, it is intended to be useful for any
software that uses the CMake build system.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_docdir}/ECM ECM-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING-CMAKE-SCRIPTS README.rst ECM-doc/*
%{_datadir}/ECM
%{_mandir}/man7/ecm*.7*
%changelog
* Sun Oct 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-extra-cmake-modules.git;a=log;h=master

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> ceaecf8
- updated to 5.39.0

* Tue Sep 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 8de117e
- up to 5.38.0

* Sun Jul 10 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 73489ac
- BR: qt5-assistant
- tests disabled (I don't know how to fix build)

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 96d4951
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 820096a
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> cd1ad24
- updated to 5.19.0

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f97e10d
- up to 5.13.0

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 41b27b0
- up to 5.10.0

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> 2b439ef
- release 2 (by relup.sh)

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f354ca
- require macros where cmake sets all dirs like includedir etc

* Thu Nov 20 2014 Elan Ruusamäe <glen@delfi.ee> 01d13c3
- _state macro is pointless as well

* Thu Nov 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 071895c
- up to 1.4.0; drop tons of unneeded defines; run tests

* Thu Jul 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 434fec0
- restored noarch condition
- BR: tar and xz

* Thu Jul 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 23845e7
- more cmake substituition

* Thu Jul 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6cef489
- deleted

* Wed Jul 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 81256fc
- content deleted.

* Wed Jul 09 2014 Elan Ruusamäe <glen@delfi.ee> f96a4c9
- conditional noarch subpkg (for rpm4); cleanups

* Tue Jul 08 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 53bfd1b
- first spec for kde frameworks 5

